=== debian/changelog ===
texstudio (4.8.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 11 May 2024 18:09:57 +0200

texstudio (4.8.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Thu, 28 Mar 2024 13:27:35 +0100

texstudio (4.7.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 01 Mar 2024 18:33:01 +0100

texstudio (4.7.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 24 Dec 2023 17:27:52 +0100

texstudio (4.7.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Tue, 05 Dec 2023 18:18:02 +0100

texstudio (4.7.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 02 Dec 2023 11:29:15 +0100

texstudio (4.7.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Mon, 25 Sep 2023 19:43:08 +0200

texstudio (4.6.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 11 Aug 2023 18:50:09 +0200

texstudio (4.6.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 30 Jul 2023 22:22:17 +0200

texstudio (4.6.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 30 Jul 2023 10:27:00 +0200

texstudio (4.6.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 28 Jul 2023 18:23:42 +0200

texstudio (4.6.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 07 May 2023 18:52:42 +0200

texstudio (4.5.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 15 Apr 2023 18:28:11 +0200

texstudio (4.5.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 04 Feb 2023 15:42:33 +0100

texstudio (4.5.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 23 Dec 2022 09:58:02 +0100

texstudio (4.4.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 27 Nov 2022 12:25:50 +0100

texstudio (4.4.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 19 Nov 2022 09:35:06 +0100

texstudio (4.4.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 04 Sep 2022 21:44:12 +0200

texstudio (4.3.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 26 Aug 2022 20:10:40 +0200

texstudio (4.3.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 07 Aug 2022 20:46:41 +0200

texstudio (4.3.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 14 May 2022 11:24:02 +0200

texstudio (4.2.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 17 Apr 2022 11:07:46 +0200

texstudio (4.2.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 20 Feb 2022 13:43:54 +0100

texstudio (4.2.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Thu, 27 Jan 2022 20:05:20 +0100

texstudio (4.2.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 09 Jan 2022 11:07:37 +0100

texstudio (4.2.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Mon, 27 Dec 2021 20:25:34 +0100

texstudio (4.1.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Tue, 07 Dec 2021 21:06:57 +0100

texstudio (4.1.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 21 Nov 2021 09:20:20 +0100

texstudio (4.1.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 20 Nov 2021 13:30:32 +0100

texstudio (4.0.5) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 06 Nov 2021 18:23:43 +0100

texstudio (4.0.4) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 30 Oct 2021 21:54:58 +0200

texstudio (4.0.3) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 22 Oct 2021 20:34:29 +0200

texstudio (4.0.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Mon, 11 Oct 2021 21:25:17 +0200

texstudio (4.0.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sat, 25 Sep 2021 21:47:59 +0200

texstudio (4.0.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Fri, 14 May 2021 19:42:34 +0200

texstudio (3.1.2) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Mon, 22 Feb 2021 17:32:29 +0100

texstudio (3.1.1) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Wed, 17 Feb 2021 19:40:22 +0100

texstudio (3.1.0) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Sun, 14 Feb 2021 17:02:20 +0100

texstudio (3.0.5) unstable; urgency=low

   * new release

 -- Benito van der Zander <benibela@users.sourceforge.net>  Mon, 04 Jan 2021 18:02:35 +0100

texstudio (3.0.4) unstable; urgency=low

   * new release


